import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ContainerEditFormComponent } from './container-edit-form.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';

describe('ContainerEditFormComponent', () => {
  let component: ContainerEditFormComponent;
  let fixture: ComponentFixture<ContainerEditFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ContainerEditFormComponent],
      imports: [
        RouterTestingModule, HttpClientTestingModule, ReactiveFormsModule, MatCheckboxModule, MatInputModule,
        MatFormFieldModule, NoopAnimationsModule, MatSnackBarModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ContainerEditFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
